@echo off
if "%OS%" == "Windows_NT" setlocal

if "%JOBSERVER_HOME%" == "" goto guessIt

if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set dumby=""
rem Even though it is set and not correct try to guess
:guessIt

set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okHome

call "%JOBSERVER_HOME%\conf\system-config.bat"
if exist "%JAVA_HOME%\bin\java.exe" goto okExec
echo  The JAVA_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okExec


call "%JOBSERVER_HOME%\bin\jsmonitor" -dbheartbeat > nul
set ENVCHECK=%ERRORLEVEL%

if "%ENVCHECK%" == "1" goto startDB
echo  Local Database - Already Running
goto end

:startDB
set DBPORT=%dbPort%

for /F "usebackq" %%i IN (`hostname`) DO set jshost=%%i
set JS_SERVER_HOSTNAME=%jshost%
if "%JOBSERVER_HOSTNAME%" == "" goto stepLocalhost
set JS_SERVER_HOSTNAME=%JOBSERVER_HOSTNAME%
:stepLocalhost

set DBHOST=%JS_SERVER_HOSTNAME%
if "%dbHost%" == "" goto execHome
set DBHOST=%dbHost%

:execHome

set DEFINES=%dbJvmOptions%
set DEFINES=%DEFINES% -DEJS_HOME="%JOBSERVER_HOME%"

cd /D "%JOBSERVER_HOME%"

set JOBSERVER_HOME=%CD%

set CAT_VAR=""
FOR %%f IN (sys\lib\jsthird\hsqldb*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set CLASSPATH=%CAT_VAR%

if "%BACKGROUND%" == "true" goto backgroundit
set _EXECJAVA=%JAVA_HOME%\bin\java.exe
goto execLabel
:backgroundit
set _EXECJAVA=%JAVA_HOME%\bin\javaw.exe

:execLabel
start "JobServer Database" "%_EXECJAVA%" %DEFINES% -cp %CLASSPATH% org.hsqldb.Server -address %DBHOST% -port %DBPORT% -database "%JOBSERVER_HOME%\EJS-DATA\dbdata\jsdb"

echo  Local Database Started

:end
