<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/jstl-tld/c.tld"     prefix="c" %>
<%@ taglib uri="/WEB-INF/app-tld/app.tld"    prefix="app" %>

<app:checkActionAuth/>

<app:soafacesInjectStatic sectionName="docType"/>
<html>
  <head>
    <title><app:soafacesInjectDynamic sectionName="title"/></title>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta http-equiv="Expires" content="0">
 
    <app:soafacesInjectStatic sectionName="head"/>

    <script type="text/javascript" language="javascript">
      var SOAFacesAppParams = {
                          appjobtype: "<c:out value="${param.js_appjobtype}"/>",
                          username: "<c:out value="${param.js_username}"/>",
                          uitype: "<c:out value="${param.js_uitype}"/>",
                          jobid: "<c:out value="${param.js_jobid}"/>",
                          runid: "<c:out value="${param.js_runid}"/>",
                          taskid: "<c:out value="${param.js_taskid}"/>",
                          mode: "<c:out value="${param.js_mode}"/>",
                          context: "<c:out value="${pageContext.servletContext.servletContextName}"/>",
                          tasktype: "<c:out value="${param.js_tasktype}"/>",
                          effdate: "<c:out value="${param.js_effdate}"/>"
      };

      function resizeScrollBar()
      {
        var browser = navigator.appName;
        if(window.name.substring(0,11) != "jsgwtiframe")
          return;
        var jsiframe_name=window.name;
        if(browser == "Microsoft Internet Explorer")
        {
          var isize = document.body.offsetHeight;
          parent.document.getElementsByName(jsiframe_name)[0].style.height=isize+"px";
        }
        else
        {
          var isize = document.body.scrollHeight;
          parent.document.getElementsByName(jsiframe_name)[0].style.height=isize+"px";
        }
      }
      <app:gwtLoadParams/>
    </script>

  </head>

  <body onload="javascript:resizeScrollBar();" onresize="javascript:resizeScrollBar()">


    <app:soafacesInjectStatic sectionName="body"/>
    
    <!-- The fully-qualified module name, followed by 'nocache.js' -->
    <script language='javascript' src="<c:out value="${param.js_webletdir}"/>"></script>

    <!-- Include a history iframe to enable full GWT history support -->
    <!-- (the id must be exactly as shown)                           -->
    <iframe src="javascript:''" id="__gwt_historyFrame" style="position:absolute;width:0;height:0;border:0"></iframe>
  
    <app:soafacesInjectDynamic sectionName="body"/>
    
  </body>
</html>
